--[[
Author: Kyoma
Filename: LibTitleLocale.lua
Version: 1
]]--

local libLoaded
local LIB_NAME, VERSION = "LibTitleLocale", 1
local lib, oldminor = LibStub:NewLibrary(LIB_NAME, VERSION)
if not lib then return end


local LocaleTitles = {
	["en"] = 
	{
		[2] = 
		{
			[1728] = "Lord",
			[705] = "Grand Overlord",
			[706] = "First Sergeant",
			[1159] = "Deadlands Adept",
			[1727] = "Clan Father",
			[318] = "Daedric Lord Slayer",
			[1546] = "Sun's Dusk Reaper",
			[587] = "Savior of Nirn",
			[1410] = "Executioner",
			[1677] = "Magnanimous",
			[1538] = "Hist-Shadow",
			[1474] = "Shehai Shatterer",
			[96] = "Veteran",
			[103] = "Colonel",
			[105] = "Brigadier",
			[106] = "Prefect",
			[1260] = "Kingmaker",
			[110] = "Legate",
			[1716] = "Lord of Misrule",
			[51] = "Monster Hunter",
			[1304] = "Maelstrom Arena Champion",
			[1305] = "Stormproof",
			[1434] = "Bane of the Gold Coast",
			[1330] = "The Flawless Conqueror",
			[92] = "Volunteer",
			[93] = "Recruit",
			[94] = "Tyro",
			[1503] = "Mageslayer",
			[992] = "Dragonstar Arena Champion",
			[97] = "Corporal",
			[98] = "Sergeant",
			[99] = "Lieutenant",
			[100] = "Captain",
			[101] = "Major",
			[102] = "Centurion",
			[1383] = "Master Thief",
			[104] = "Tribune",
			[617] = "Pact Hero",
			[618] = "Dominion Hero",
			[107] = "Praetorian",
			[108] = "Palatine",
			[109] = "August Palatine",
			[494] = "Master Angler",
			[111] = "General",
			[112] = "Warlord",
			[113] = "Grand Warlord",
			[114] = "Overlord",
			[627] = "Explorer",
			[628] = "Tamriel Hero",
			[1391] = "Dro-m'Athra Destroyer",
			[1462] = "Ophidian Overlord",
			[1248] = "Hero of Wrothgar",
			[95] = "Legionary",
			[1140] = "Boethiah's Scythe",
			[1730] = "Count",
			[1723] = "Royal Jester",
			[1729] = "Councilor",
			[61] = "Covenant Hero",
			[702] = "Master Wizard",
			[703] = "Fighters Guild Victor",
		},
		[1] = 
		{
			[1728] = "Lady",
			[705] = "Grand Overlord",
			[706] = "First Sergeant",
			[703] = "Fighters Guild Victor",
			[702] = "Master Wizard",
			[1159] = "Deadlands Adept",
			[1538] = "Hist-Shadow",
			[1730] = "Countess",
			[1546] = "Sun's Dusk Reaper",
			[587] = "Savior of Nirn",
			[1474] = "Shehai Shatterer",
			[1677] = "Magnanimous",
			[1140] = "Boethiah's Scythe",
			[95] = "Legionary",
			[992] = "Dragonstar Arena Champion",
			[617] = "Pact Hero",
			[618] = "Dominion Hero",
			[109] = "August Palatine",
			[628] = "Tamriel Hero",
			[627] = "Explorer",
			[114] = "Overlord",
			[494] = "Master Angler",
			[1304] = "Maelstrom Arena Champion",
			[1305] = "Stormproof",
			[1434] = "Bane of the Gold Coast",
			[111] = "General",
			[92] = "Volunteer",
			[93] = "Recruit",
			[94] = "Tyro",
			[1503] = "Mageslayer",
			[1248] = "Hero of Wrothgar",
			[97] = "Corporal",
			[98] = "Sergeant",
			[99] = "Lieutenant",
			[100] = "Captain",
			[101] = "Major",
			[102] = "Centurion",
			[103] = "Colonel",
			[104] = "Tribune",
			[105] = "Brigadier",
			[106] = "Prefect",
			[107] = "Praetorian",
			[1260] = "Kingmaker",
			[621] = "Enemy of Coldharbour",
			[110] = "Legate",
			[1391] = "Dro-m'Athra Destroyer",
			[112] = "Warlord",
			[113] = "Grand Warlord",
			[1330] = "The Flawless Conqueror",
			[51] = "Monster Hunter",
			[1716] = "Lady of Misrule",
			[108] = "Palatine",
			[1462] = "Ophidian Overlord",
			[1383] = "Master Thief",
			[1444] = "Silencer",
			[96] = "Veteran",
			[1410] = "Executioner",
			[1723] = "Royal Jester",
			[1729] = "Councilor",
			[61] = "Covenant Hero",
			[318] = "Daedric Lord Slayer",
			[1727] = "Clan Mother",
		},
	},
	["fr"] = 
	{
		[1] = 
		{
			[1728] = "Dame",
			[705] = "Grand maréchal",
			[706] = "Premier sergent",
			[1727] = "Mère de clan",
			[318] = "Tueuse de seigneur Daedra",
			[1159] = "Adepte des terres mortes",
			[1538] = "Ombre d'Hist",
			[1729] = "Conseillère",
			[1546] = "Faucheuse de sombreciel",
			[587] = "Sauveuse de Nirn",
			[1474] = "Briseuse de Shéhaï",
			[1677] = "Magnanime",
			[1410] = "Exécutrice",
			[992] = "Championne de l'arène de l'Étoile du dragon",
			[1444] = "Surineuse",
			[1383] = "Maîtresse voleuse",
			[106] = "Préfète",
			[108] = "Palatine",
			[1716] = "Dame du Désordre",
			[51] = "Chasseuse de monstres",
			[1330] = "La conquérante implacable",
			[110] = "Légat",
			[1304] = "Championne de l'Arène de Maelström",
			[1305] = "L'insubmersible",
			[1434] = "Fléau de la Côte d'or",
			[1391] = "Destructrice des dro-m'Athra",
			[92] = "Volontaire",
			[93] = "Recrue",
			[94] = "Première classe",
			[95] = "Légionnaire",
			[1248] = "Héroïne de Wrothgar",
			[97] = "Caporal",
			[98] = "Sergent",
			[99] = "Lieutenant",
			[100] = "Capitaine",
			[101] = "Major",
			[102] = "Centurion",
			[103] = "Colonel",
			[104] = "Tribun",
			[617] = "Héroïne du Pacte",
			[618] = "Héroïne du Domaine",
			[107] = "Prétorienne",
			[1260] = "Faiseuse de rois",
			[109] = "Palatine Auguste",
			[494] = "Maîtresse de pêche",
			[111] = "Général",
			[112] = "Seigneur de guerre",
			[113] = "Grand seigneur de guerre",
			[114] = "Maréchal",
			[627] = "Exploratrice",
			[1140] = "Faux de Boéthia",
			[621] = "Ennemie de Havreglace",
			[1462] = "Suzeraine ophidienne",
			[105] = "Brigadier",
			[96] = "Vétéran",
			[1503] = "Tueuse de mages",
			[628] = "Héroïne de Tamriel",
			[1723] = "Bouffon royal",
			[1730] = "Comtesse",
			[61] = "Héroïne de l'Alliance",
			[702] = "Maître mage",
			[703] = "Championne de la guilde des guerriers",
		},
		[2] = 
		{
			[1728] = "Seigneur",
			[705] = "Grand maréchal",
			[706] = "Premier sergent",
			[1159] = "Adepte des terres mortes",
			[1330] = "Le conquérant implacable",
			[1730] = "Comte",
			[1546] = "Faucheur de sombreciel",
			[587] = "Sauveur de Nirn",
			[1727] = "Père de clan",
			[1677] = "Magnanime",
			[1260] = "Faiseur de rois",
			[1248] = "Héros de Wrothgar",
			[1391] = "Destructeur des dro-m'Athra",
			[1383] = "Maître voleur",
			[1410] = "Exécuteur",
			[617] = "Héros du Pacte",
			[1538] = "Ombre d'Hist",
			[494] = "Maître de pêche",
			[1716] = "Seigneur du Désordre",
			[1729] = "Conseiller",
			[1304] = "Champion de l'Arène de Maelström",
			[1305] = "L'insubmersible",
			[1434] = "Fléau de la Côte d'or",
			[618] = "Héros du Domaine",
			[92] = "Volontaire",
			[93] = "Recrue",
			[94] = "Première classe",
			[95] = "Légionnaire",
			[96] = "Vétéran",
			[97] = "Caporal",
			[98] = "Sergent",
			[99] = "Lieutenant",
			[100] = "Capitaine",
			[101] = "Major",
			[102] = "Centurion",
			[103] = "Colonel",
			[104] = "Tribun",
			[105] = "Brigadier",
			[106] = "Préfet",
			[107] = "Prétorien",
			[108] = "Palatin",
			[109] = "Palatin Auguste",
			[110] = "Légat",
			[111] = "Général",
			[112] = "Seigneur de guerre",
			[113] = "Grand seigneur de guerre",
			[114] = "Maréchal",
			[51] = "Chasseur de monstres",
			[1140] = "Faux de Boéthia",
			[628] = "Héros de Tamriel",
			[1462] = "Suzerain ophidien",
			[318] = "Tueur de seigneur Daedra",
			[627] = "Explorateur",
			[992] = "Champion de l'arène de l'Étoile du dragon",
			[1474] = "Briseur de Shéhaï",
			[1723] = "Bouffon royal",
			[1503] = "Tueur de mages",
			[61] = "Héros de l'Alliance",
			[702] = "Maître mage",
			[703] = "Champion de la guilde des guerriers",
		},
	},
	["de"] = 
	{
		[2] = 
		{
			[1728] = "Fürst",
			[705] = "Großfeldherr",
			[706] = "Erster Feldwebel",
			[1159] = "Adept der Totenländer",
			[703] = "Sieger der Kriegergilde",
			[702] = "Meister der Zauberei",
			[1546] = "Schnitter der Abenddämmerung",
			[587] = "Retter Nirns",
			[1410] = "Henker",
			[1677] = "Der Großherzige",
			[1503] = "Magierschlächter",
			[1729] = "Ratsherr",
			[1474] = "Shehai-Zerschmetterer",
			[992] = "Champion der Drachenstern-Arena",
			[627] = "Erkunder",
			[1730] = "Graf",
			[108] = "Palatin",
			[628] = "Held Tamriels",
			[1140] = "Boethiahs Sense",
			[111] = "General",
			[1304] = "Champion der Mahlstrom-Arena",
			[1305] = "Sturmfester",
			[1434] = "Fluch der Goldküste",
			[114] = "Feldherr",
			[92] = "Freiwilliger",
			[93] = "Rekrut",
			[94] = "Tyro",
			[95] = "Legionär",
			[1248] = "Held von Wrothgar",
			[97] = "Unteroffizier",
			[98] = "Feldwebel",
			[99] = "Leutnant",
			[100] = "Hauptmann",
			[101] = "Major",
			[102] = "Zenturio",
			[1383] = "Meisterdieb",
			[104] = "Tribun",
			[617] = "Held des Paktes",
			[618] = "Held des Dominions",
			[107] = "Prätorianer",
			[1260] = "Königsmacher",
			[109] = "Meisterpalatin",
			[494] = "Meisterangler",
			[1391] = "dro-m'Athra-Zerstörer",
			[112] = "Kriegsfürst",
			[113] = "Großkriegsfürst",
			[1330] = "makelloser Eroberer",
			[51] = "Monsterjäger",
			[1716] = "Narrenprinz",
			[110] = "Legat",
			[1462] = "ophidischer Befehlshaber",
			[106] = "Präfekt",
			[105] = "Brigadier",
			[103] = "Oberst",
			[96] = "Veteran",
			[1723] = "königlicher Narr",
			[1538] = "Histschatten",
			[61] = "Held des Bündnisses",
			[318] = "Schlächter der Daedraherren",
			[1727] = "Klanvater",
		},
		[1] = 
		{
			[1728] = "Fürstin",
			[705] = "Großfeldherrin",
			[706] = "Erster Feldwebel",
			[703] = "Siegerin der Kriegergilde",
			[702] = "Meisterin der Zauberei",
			[1159] = "Adeptin der Totenländer",
			[1538] = "Histschatten",
			[1730] = "Gräfin",
			[1546] = "Schnitter der Abenddämmerung",
			[587] = "Retterin Nirns",
			[1474] = "Shehai-Zerschmetterin",
			[1677] = "Die Großherzige",
			[628] = "Heldin Tamriels",
			[1503] = "Magierschlächterin",
			[96] = "Veteranin",
			[105] = "Brigadierin",
			[618] = "Heldin des Dominions",
			[621] = "Feindin Kalthafens",
			[1140] = "Boethiahs Sense",
			[627] = "Erkunderin",
			[114] = "Feldherrin",
			[494] = "Meisteranglerin",
			[1304] = "Champion der Mahlstrom-Arena",
			[1305] = "Sturmfeste",
			[1434] = "Fluch der Goldküste",
			[111] = "Generalin",
			[92] = "Freiwillige",
			[93] = "Rekrutin",
			[94] = "Tyro",
			[95] = "Legionärin",
			[992] = "Champion der Drachenstern-Arena",
			[97] = "Unteroffizierin",
			[98] = "Feldwebel",
			[99] = "Leutnant",
			[1444] = "Schweigende",
			[101] = "Majorin",
			[102] = "Zenturio",
			[1383] = "Meisterdiebin",
			[104] = "Tribunin",
			[617] = "Heldin des Paktes",
			[106] = "Präfektin",
			[107] = "Prätorianerin",
			[108] = "Palatina",
			[109] = "Meisterpalatina",
			[110] = "Legatin",
			[1391] = "dro-m'Athra-Zerstörerin",
			[112] = "Kriegsfürstin",
			[113] = "Großkriegsfürstin",
			[1330] = "makellose Eroberin",
			[51] = "Monsterjägerin",
			[1716] = "Narrenprinzessin",
			[1260] = "Königsmacherin",
			[1462] = "ophidische Befehlshaberin",
			[103] = "Oberst",
			[100] = "Hauptmann",
			[1248] = "Heldin von Wrothgar",
			[1410] = "Henkerin",
			[1723] = "königliche Närrin",
			[1729] = "Ratsherrin",
			[61] = "Heldin des Bündnisses",
			[318] = "Schlächterin der Daedraherren",
			[1727] = "Klanmutter",
		},
	},
}

local lang = GetCVar("Language.2")
local GetAchievementRewardTitle_original

local function Unload()
	GetAchievementRewardTitle = GetAchievementRewardTitle_original
end

local function Load()

	GetAchievementRewardTitle_original = GetAchievementRewardTitle
	GetAchievementRewardTitle = function(achievementId, gender)
		local hasTitle, title = GetAchievementRewardTitle_original(achievementId, gender)
		if (hasTitle and gender) then
			if (LocaleTitles[lang] and LocaleTitles[lang][gender] and LocaleTitles[lang][gender][achievementId]) then
				title = LocaleTitles[lang][gender][achievementId]
			end
		end
		return hasTitle, title
	end

    lib.Unload = Unload
end

if(lib.Unload) then lib.Unload() end
Load()
